Advertisement
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

ChestShop 2.0.1

Open your chest shop

  1. hamsterfreka
    Offline

    hamsterfreka New Member

    Joined:
    Jan 30, 2014
    Posts:
    9
    Minecraft User:
    Hamsterfreka
    Doesnt work with both money programms!!fix
  2. Naut
    Offline

    Naut New Member

    Joined:
    Feb 3, 2014
    Posts:
    4
    Minecraft User:
    Naut_
    I have a question about the Chestshop plugin. Do you have plans to add both a Buy:Sell function to chests in the future? or at least create a chest that allows users to 'Sell' their items to a chestshop for money instead of just buying from one.
  3. steve1234play
    Offline

    steve1234play New Member

    Joined:
    Feb 22, 2014
    Posts:
    1
    Minecraft User:
    steve1234play
    I have an error: it say economy or pocketmoney is not loaded , but I installed economy
    PEGamer likes this.
  4. DopeteK
    Offline

    DopeteK Active Member

    Joined:
    Aug 24, 2013
    Posts:
    393
    Minecraft User:
    DTeK
    Some of the items don't work for me.
    So far they are:

    Carrot
    Bone
    BoneMeal
    CocoaBeans
    RawChicken
    CookedChicken
    RawPorkchop
    CookedPorkchop
    RawBeef
    Steak

    I change the database value to 319 (rawporkchop) and stocked the chest but when the sign was tapped the server crashed.

    I also got this message when loading the server.
    Undefined offset: 319" in "E:\test\plugins\ChestShop.php" at line 108
  5. BR0Y00_the_1st
    Offline

    BR0Y00_the_1st New Member

    Joined:
    Nov 18, 2013
    Posts:
    2
    Minecraft User:
    BR0Y00_the_1st
    Great to go Mother Fucker! you Corrupted My Server and Hacked Your File SoI can't Remove It! you Fucking Hacker! YOU SHOULD BE DEAD!
  6. DopeteK
    Offline

    DopeteK Active Member

    Joined:
    Aug 24, 2013
    Posts:
    393
    Minecraft User:
    DTeK
    Who are you talking to you idiot?

    And how can someone hack their file on your server?
    PEGamer likes this.
  7. PEGamer
    Offline

    PEGamer New Member

    Joined:
    Feb 23, 2014
    Posts:
    3
    Minecraft User:
    TimTheEnchanter
    I am trying to start my server with my nexus7 and it simply crashes my server before it even starts :-\

    [PocketMine] Server is starting...
    [PocketMine] Server was started.
    [Server] 03:17:43 [INFO] Starting Minecraft PE server version v0.8.1 alpha
    [Server] 03:17:43 [INFO] Loading properties...
    [Server] 03:17:43 [INFO] Starting Minecraft PE server on *:19132
    [Server] 03:17:43 [INFO] This server is running PocketMine-MP version Alpha_1.3.12 "甘い(Amai)ビートルート(Beetroot)" (MCPE: v0.8.1 alpha) (API 12)
    [Server] 03:17:43 [INFO] PocketMine-MP is distributed under the LGPL License
    [Server] 03:17:43 [INFO] Checking for new server version
    [Server] 03:17:43 [INFO] Last check: 2014-03-17 16:59:15
    [Server] 03:17:43 [ERROR] Github API error
    [Server] 03:17:43 [INFO] Preparing level "world"
    [Server] 03:17:43 [INFO] Loading plugin "Portal" 2.6 by ljy
    [Server] 03:17:43 [INFO] Loading plugin "WorldEditor" 0.9.1 by shoghicp
    [Server] 03:17:43 [INFO] Loading plugin "PocketGuard" 1.3 by MinecrafterJPN
    [Server] 03:17:43 [WARNING] Plugin "PocketGuard" may not be compatible with the API (11 != 12)! It can crash or corrupt the server!
    [Server] 03:17:43 [INFO] Loading plugin "ChestShop" 1.8.1 by MinecrafterJPN
    [Server] 03:17:43 [WARNING] Plugin "ChestShop" may not be compatible with the API (11 != 12)! It can crash or corrupt the server!
    [Server] 03:17:43 [INFO] Loading plugin "PocketMoney" 2.2.2 by MinecrafterJPN
    [Server] 03:17:43 [INFO] Loading plugin "KitPro" 4.0 by Glitchmaster_PE
    [Server] 03:17:43 [WARNING] Plugin "KitPro" may not be compatible with the API (10 != 12)! It can crash or corrupt the server!
    [Server] 03:17:43 [INFO] Loading plugin "UChat" 2.10 by 1ron_pon3
    [Server] 03:17:43 [WARNING] Plugin "UChat" may not be compatible with the API (11 != 12)! It can crash or corrupt the server!
    [Server] 03:17:43 [INFO] Loading plugin "IpAdmin" 1.0.3 by ZacHack
    [Server] 03:17:43 [INFO] Loading plugin "beAreaGuard" 1.0 by Blue Electric
    [Server] 03:17:43 [WARNING] Plugin "beAreaGuard" may not be compatible with the API (11 != 12)! It can crash or corrupt the server!
    [Server] 12:17:43 [INFO] Starting GS4 status listener
    [Server] 12:17:43 [INFO] Setting query port to 19132
    [Server] 12:17:43 [INFO] Query running on lol, Ip Goes Here 19132
    [Server] 12:17:43 [INFO] Default game type: SURVIVAL
    [Server] 12:17:43 [INFO] Starting plugins...
    [Server] 12:17:43 [ChestShop][Error] PocketMoney or €¢onom¥$ has not been loaded.
    [Server] 12:17:43 [INFO] Stopping server...
    [PocketMine] Server was stopped.

    I don't know what to do to fix this, I have tried reinstalling chest shop but nothing seems to work
  8. PEGamer
    Offline

    PEGamer New Member

    Joined:
    Feb 23, 2014
    Posts:
    3
    Minecraft User:
    TimTheEnchanter
    I got the same error with mine
  9. jhayde
    Offline

    jhayde New Member

    Joined:
    Mar 19, 2014
    Posts:
    1
    Minecraft User:
    Jhayde
    i got a problem dude here
    [ERROR] A E_NOTICE error happened: "Undefined index: shopOwner" in "C:\Users\jhayztyone\Documents\PocketMine-MP\plugins\ChestShop.php" at line 131
    14:13:35 [ERROR] A E_NOTICE error happened: "Trying to get property of non-object" in "C:\Users\jhayztyone\Documents\PocketMine-MP\plugins\ChestShop.php" at line 131
  10. linuxboytoo
    Offline

    linuxboytoo Plugin Developer

    Joined:
    Sep 11, 2013
    Posts:
    41
    Plugins:
    4
    Minecraft User:
    linuxboytoo
  11. linuxboytoo
    Offline

    linuxboytoo Plugin Developer

    Joined:
    Sep 11, 2013
    Posts:
    41
    Plugins:
    4
    Minecraft User:
    linuxboytoo
    My pull request fixes this.
  12. DopeteK
    Offline

    DopeteK Active Member

    Joined:
    Aug 24, 2013
    Posts:
    393
    Minecraft User:
    DTeK
    I am unable to sell items that have a : in their id such as 35:1 or 6:1
  13. marcello soares
    Offline

    marcello soares New Member

    Joined:
    Mar 28, 2014
    Posts:
    7
    Minecraft User:
    FULLPVP
    fala portugues me responda aqui mesmo
  14. MinecrafterJPN
    Offline

    MinecrafterJPN Active Member Plugin Developer

    Joined:
    Aug 26, 2013
    Posts:
    154
    Plugins:
    9
    Minecraft User:
    MinecrafterJPN
  15. DopeteK
    Offline

    DopeteK Active Member

    Joined:
    Aug 24, 2013
    Posts:
    393
    Minecraft User:
    DTeK
    Is there a way to convert the data from the old version to the new version?
  16. Rise to the rose
    Offline

    Rise to the rose New Member

    Joined:
    Apr 5, 2014
    Posts:
    1
    Minecraft User:
    Canadianchick
    same thing is happening to me too.....
  17. DopeteK
    Offline

    DopeteK Active Member

    Joined:
    Aug 24, 2013
    Posts:
    393
    Minecraft User:
    DTeK
    What is happening to you too?
  18. DopeteK
    Offline

    DopeteK Active Member

    Joined:
    Aug 24, 2013
    Posts:
    393
    Minecraft User:
    DTeK
    01:35:30 [ERROR] A level 8 error happened: "Trying to get property of non-object" in "C:\PMMP PlotCraft BETA 0.2\plugins\ChestShop.php" at line 131

    Chest owner does not get paid but the buyer gets charged. This was tested on a server with only pocketmoney and chestshop.
  19. linuxboytoo
    Offline

    linuxboytoo Plugin Developer

    Joined:
    Sep 11, 2013
    Posts:
    41
    Plugins:
    4
    Minecraft User:
    linuxboytoo
    Did you try the latest version in GitHub? Pretty sure I fixed this with a pull request that was accepted last week.
    DopeteK likes this.
  20. DopeteK
    Offline

    DopeteK Active Member

    Joined:
    Aug 24, 2013
    Posts:
    393
    Minecraft User:
    DTeK
    No, I had no idea I could get it there. Do you have a link pleaseeeeee?

Share This Page

Advertisement